For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Details
              • PUTUpdate Company Role
              • DELDelete Company Role
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompany Roles and Permissions

List Company Permissions

GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions
GET
/api/v3/io/companies/permissions
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions \
> -H "X-Auth-Token: <apiKey>" \
> --data-urlencode "q=Get addresses"
200200 - SUCCESS
1{
2 "code": 200,
3 "data": [
4 {
5 "name": "Get addresses",
6 "description": "Get addresses",
7 "code": "get_addresses",
8 "moduleName": "address",
9 "id": 1,
10 "isCustom": false
11 }
12 ],
13 "meta": {
14 "message": "SUCCESS"
15 }
16}
Returns a list of all predefined and custom Company permissions.
Was this page helpful?
Previous

Delete Company Attachment

Next

Create Company Permission

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

qstringOptional
Enter a Company permission name to return partial and exact matches.

Response

OK
codeinteger
datalist of objects
metaobject